Name:           links
Version:        2.8
Release:        4%{?dist}
Epoch:          1
Summary:        Web browser running in both graphics and text mode
Group:          Applications/Internet
License:        GPLv2+
URL:            http://links.twibright.com/
Source0:        http://links.twibright.com/download/%{name}-%{version}.tar.bz2
Source1:        links.desktop
Patch1:         links-2.2-ssl-verify.patch
# Not sent upstream, since they would probably break my nose for this
Patch2:         links-2.2-google.patch
# Fix configure issue
Patch3:         links-2.5-configure.patch

BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gpm-devel
BuildRequires:  libX11-devel
BuildRequires:  autoconf automake
BuildRequires:  openssl-devel

Requires(preun): %{_sbindir}/alternatives
Requires(post): %{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives
Requires(post): coreutils
Requires(postun): coreutils

Provides:       webclient
Provides:       text-www-browser


%description
Links is a web browser capable of running in either graphics or text mode.
It provides a pull-down menu system, renders complex pages, has partial HTML
4.0 support (including tables, frames and support for multiple character sets
and UTF-8), supports color and monochrome terminals and allows horizontal
scrolling.


%prep
%setup -q
%patch1 -p1 -b .verify-ssl
%patch2 -p1 -b .google
%patch3 -p1 -b .reconf


%build
iconv -f ISO-8859-1 -t UTF-8 AUTHORS >converted.AUTHORS
touch -r AUTHORS converted.AUTHORS
mv converted.AUTHORS AUTHORS

autoreconf -i
%configure --enable-graphics --with-ssl
make %{?_smp_mflags}


%install
make install DESTDIR=${RPM_BUILD_ROOT}
mv %{buildroot}/%{_bindir}/links $RPM_BUILD_ROOT/%{_bindir}/links2
mv %{buildroot}/%{_mandir}/man1/links.1 $RPM_BUILD_ROOT/%{_mandir}/man1/links2.1
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
install -D -p Links_logo.png %{buildroot}/%{_datadir}/pixmaps/links.png

# Alternatives cruft
touch %{buildroot}%{_bindir}/links
touch %{buildroot}%{_mandir}/man1/links.1.gz


%postun
[ $1 = 0 ] && exit 0
[ $(readlink %{_sysconfdir}/alternatives/links) = %{_bindir}/links2 ] &&
        %{_sbindir}/alternatives --set links %{_bindir}/links2
exit 0


%preun
[ $1 = 0 ] || exit 0
%{_sbindir}/alternatives --remove links %{_bindir}/links2


%post
%{_sbindir}/alternatives \
        --install %{_bindir}/links links %{_bindir}/links2 80 \
        --slave %{_mandir}/man1/links.1.gz links-man %{_mandir}/man1/links2.1.gz
[ $(readlink %{_sysconfdir}/alternatives/links) = %{_bindir}/links2 ] &&
        %{_sbindir}/alternatives --set links %{_bindir}/links2
exit 0


%files
%doc doc/* AUTHORS KEYS README COPYING
%{_bindir}/links2
%{_mandir}/man1/links2.1*
%{_datadir}/pixmaps/links.png
%{_datadir}/applications/links.desktop
%ghost %verify(not md5 size mtime) %{_bindir}/links
%ghost %verify(not md5 size mtime) %{_mandir}/man1/links.1.gz


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 1:2.8-2
- Bulk sad and useless attempt at consistent SPEC file formatting

* Mon Sep 23 2013 Ondrej Vasik <ovasik@redhat.com> - 1:2.8-1
- new upstream release 2.8 (#1010890)

* Fri Sep 13 2013 Ondrej Vasik <ovasik@redhat.com> - 1:2.7-1
- new upstream release 2.7 (#835427)
- remove IPv6 Fedora patch, supported upstream

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1:2.6-4
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1:2.6-3
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Ondrej Vasik <ovasik@redhat.com> - 1:2.6-1
- rebase to latest upstream (#751354)
- apply IPv6 support patch
- removed nss patch(already included upstream)
- use openssl instead of nss again (nss upstream support has some
  header detection troubles)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1:2.2-14
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 27 2009 Ondrej Vasik <ovasik@redhat.com> - 1:2.2-12
- add Requires(post) and Requires(postun) for coreutils (readlink)
  (#540434)

* Sat Oct 17 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-11
- Do not display textareas hidden by CSS

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-9
- Add epoch to beat elinks obsoletes

* Mon Apr 13 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-8
- Enable SSL certificates verification

* Sun Apr 12 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-7
- removing unnecessary BuildConflicts

* Fri Apr 10 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-6
- Cosmetic fixes
- Ship license

* Fri Apr 03 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-5
- Add SSL/TLS support by the means of NSS
- Add web browser provides

* Thu Apr 02 2009 Lubomir Rintel <lkundrak@v3.sk> - 2.2-4
- Do not silence make
- Use bundled icon, place it in pixmaps directory
- Adjust summary, description and style
- Remove useless configure parameters
- Include X11 support
- Adjust menu entry text
- Add alternatives support

* Mon Nov 10 2008 johnhford@gmail.com - 2.2-3
- Do not mutilate timestamps on AUTHORS
- Removed vendor from desktop-file-install
- No longer gzipping manpage

* Mon Nov 10 2008 John Ford <johnhford.gmail@com> 2.2-2
- Modified %%build to ensure shared libraries are used
- Added missing requirements (desktop-file-utils)
* Sat Nov 08 2008 John Ford <johnhford.gmail@com> 2.2-1
- Initial Submission

